at.chipkarte.client.rez.soap

## Class PrivatrezeptAbgabe

- Object
- - at.chipkarte.client.rez.soap.PrivatrezeptAbgabe

-     public class PrivatrezeptAbgabe
      extends Object

  Abgabeinformationen zu einer bestimmten Verordnung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivatrezeptAbgabe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrivatrezeptVerordnungsAbgabe[]` | `getAbgabeschritte()` Daten der einzelnen Abgabeschritte.
    `Boolean` | `isAbgabeAenderbar()` Information für das e-Rezept, ob noch ein Abgleich mit ABS möglich ist.
    `Boolean` | `isAbgabeStornierbar()` Information für das e-Rezept, ob noch ein Abgleich mit ABS möglich ist.
    `Boolean` | `isSelbstabgabe()` Information, ob die Abgabe selbst durchgeführt wurde.
    `void` | `setAbgabeAenderbar(Boolean abgabeAenderbar)`
    `void` | `setAbgabeschritte(PrivatrezeptVerordnungsAbgabe[] abgabeschritte)`
    `void` | `setAbgabeStornierbar(Boolean abgabeStornierbar)`
    `void` | `setSelbstabgabe(Boolean selbstabgabe)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivatrezeptAbgabe

          public PrivatrezeptAbgabe()

  - ### Method Detail

    - #### getAbgabeschritte

          public PrivatrezeptVerordnungsAbgabe[] getAbgabeschritte()

      Daten der einzelnen Abgabeschritte. Siehe `PrivatrezeptVerordnungsAbgabe`.
      Format: 1 ..n Elemente
      Angabe: Muss.
      Hinweis: Jede Abgabe beinhaltet mindestens ein Objekt VerordnungsAbgabe. Wird die Verordnung aufgrund z.B. Bestellungen und darin resultierenden Abgabeschritte auf mehrere Abgabezeitpunkte aufgeteilt, sind mehrere VerordnungsAbgabe-Objekte vorhanden.
      Returns:
        Abgabeschritte zu der Verordnung.

    - #### setAbgabeschritte

          public void setAbgabeschritte(PrivatrezeptVerordnungsAbgabe[] abgabeschritte)

    - #### isSelbstabgabe

          public Boolean isSelbstabgabe()

      Information, ob die Abgabe selbst durchgeführt wurde.
      Angabe: Bedingt. Nur versorgt bei Privatrezepten (Rezeptart gleich "P").
      Returns:
        Abgabe selbst abgegeben.

    - #### setSelbstabgabe

          public void setSelbstabgabe(Boolean selbstabgabe)

    - #### isAbgabeStornierbar

          public Boolean isAbgabeStornierbar()

      Information für das e-Rezept, ob noch ein Abgleich mit ABS möglich ist.
      Angabe: Bedingt. Nur versorgt bei Privatrezepten (Rezeptart gleich "P").
      Returns:
        Abgabe stornierbar.

    - #### setAbgabeStornierbar

          public void setAbgabeStornierbar(Boolean abgabeStornierbar)

    - #### isAbgabeAenderbar

          public Boolean isAbgabeAenderbar()

      Information für das e-Rezept, ob noch ein Abgleich mit ABS möglich ist.
      Angabe: Bedingt. Nur versorgt bei Privatrezepten (Rezeptart gleich "P").
      Returns:
        Abgabe änderbar.

    - #### setAbgabeAenderbar

          public void setAbgabeAenderbar(Boolean abgabeAenderbar)